/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __MPTCP_H__
#define __MPTCP_H__

#include "mptcp.h"
#include "gdbus.h"

class Mptcp:public GDbus {
public:
	Mptcp();
	~Mptcp();
	error_e MptcpSupported(bool *supported);
	error_e MptcpSetEnable(int enabled);
	error_e MptcpSetPathManager(char *path);
	error_e MptcpGetEnabled(int *enabled);
	error_e MptcpGetPathManager(char *path);
	error_e MptcpSetPathManager(const char *path);
	error_e MptcpSetScheduler(const char *sched);
	error_e MptcpGetScheduler(char *sched);
};


#endif /* __MPTCP_H__ */
