/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __NETSTAT_H__
#define __NETSTAT_H__

#include "netconf.h"
#include "gdbus.h"

class NetStat:public GDbus {
public:
	NetStat();
	~NetStat();
	error_e GetWifiTotalTxBytes(void);
	error_e GetWifiLastTxBytes(void);
	error_e GetWifiLastRxBytes(void);
	error_e GetWifiTotalRxBytes(void);
	error_e ResetWifiTotalRxBytes(void);
	error_e ResetWifiTotalTxBytes(void);
	error_e ResetWifiLastRxBytes(void);
	error_e ResetWifiLastTxBytes(void);
	error_e ResetCellularLastRxBytes(void);
	error_e ResetCellularLastTxBytes(void);
	error_e ResetCellularTotalRxBytes(void);
	error_e ResetCellularTotalTxBytes(void);
};


#endif /* __NETSTAT_H__ */
