/*
 * Network Configuration Module
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __NETCONFIG_WIFI_DPP_H__
#define __NETCONFIG_WIFI_DPP_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "wifi.h"

void netconfig_wifi_dpp_auth_success_event(GVariant *message);
void netconfig_wifi_dpp_auth_failed_event(GVariant *message);
void netconfig_wifi_dpp_not_compatible_event(GVariant *message);
void netconfig_wifi_dpp_conf_failed_event(GVariant *message);
void netconfig_wifi_dpp_scan_peer_qr_event(GVariant *message);
void netconfig_wifi_dpp_network_id_event(GVariant *message);
void netconfig_wifi_dpp_conf_sent_event(GVariant *message);
void netconfig_wifi_dpp_conf_received_event(GVariant *message);
void netconfig_wifi_dpp_conf_obj_event(GVariant *message);

gboolean handle_dpp_enter_peer_uri(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);
gboolean handle_dpp_generate_uri(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);
gboolean handle_dpp_start_configurator_initiator(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);
gboolean handle_dpp_start_enrollee_initiator(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);
gboolean handle_dpp_start_configurator_responder(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);
gboolean handle_dpp_start_enrollee_responder(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);
gboolean handle_dpp_stop(Wifi *wifi, GDBusMethodInvocation *context, GVariant *dpp_info);

#ifdef __cplusplus
}
#endif

#endif /* __NETCONFIG_WIFI_WPS_H__ */
